rio_disc_mport
Prev | Enumeration and Discovery | Next

## Name

rio_disc_mport — Start discovery through a master port

## Synopsis

`int rio_disc_mport (` | struct rio_mport * | mport`)`;

## Arguments

`mport`

  Master port to send transactions

## Description

Starts the discovery process. If we have an active link, then wait for the signal that enumeration is complete. When enumeration completion is signaled, start recursive peer discovery. Returns `0` if discovery succeeds or `-EBUSY` on failure.

Prev | Up | Next
rio_enum_timeout | Home | Driver functionality